/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __BPERF_FOLLOWER_BPF_SKEL_H__
#define __BPERF_FOLLOWER_BPF_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct bperf_follower_bpf {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *diff_readings;
		struct bpf_map *accum_readings;
		struct bpf_map *filter;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *fexit_XXX;
	} progs;
	struct {
		struct bpf_link *fexit_XXX;
	} links;
	struct bperf_follower_bpf__bss {
		enum bperf_filter_type type;
		int enabled;
	} *bss;

#ifdef __cplusplus
	static inline struct bperf_follower_bpf *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct bperf_follower_bpf *open_and_load();
	static inline int load(struct bperf_follower_bpf *skel);
	static inline int attach(struct bperf_follower_bpf *skel);
	static inline void detach(struct bperf_follower_bpf *skel);
	static inline void destroy(struct bperf_follower_bpf *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
bperf_follower_bpf__destroy(struct bperf_follower_bpf *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
bperf_follower_bpf__create_skeleton(struct bperf_follower_bpf *obj);

static inline struct bperf_follower_bpf *
bperf_follower_bpf__open_opts(const struct bpf_object_open_opts *opts)
{
	struct bperf_follower_bpf *obj;
	int err;

	obj = (struct bperf_follower_bpf *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = bperf_follower_bpf__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	bperf_follower_bpf__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct bperf_follower_bpf *
bperf_follower_bpf__open(void)
{
	return bperf_follower_bpf__open_opts(NULL);
}

static inline int
bperf_follower_bpf__load(struct bperf_follower_bpf *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct bperf_follower_bpf *
bperf_follower_bpf__open_and_load(void)
{
	struct bperf_follower_bpf *obj;
	int err;

	obj = bperf_follower_bpf__open();
	if (!obj)
		return NULL;
	err = bperf_follower_bpf__load(obj);
	if (err) {
		bperf_follower_bpf__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
bperf_follower_bpf__attach(struct bperf_follower_bpf *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
bperf_follower_bpf__detach(struct bperf_follower_bpf *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *bperf_follower_bpf__elf_bytes(size_t *sz);

static inline int
bperf_follower_bpf__create_skeleton(struct bperf_follower_bpf *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "bperf_follower_bpf";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 4;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "diff_readings";
	s->maps[0].map = &obj->maps.diff_readings;

	s->maps[1].name = "accum_readings";
	s->maps[1].map = &obj->maps.accum_readings;

	s->maps[2].name = "filter";
	s->maps[2].map = &obj->maps.filter;

	s->maps[3].name = "bperf_fo.bss";
	s->maps[3].map = &obj->maps.bss;
	s->maps[3].mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "fexit_XXX";
	s->progs[0].prog = &obj->progs.fexit_XXX;
	s->progs[0].link = &obj->links.fexit_XXX;

	s->data = bperf_follower_bpf__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *bperf_follower_bpf__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1f\x58\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x1c\0\
\x01\xb7\x10\0\0\0\0\0\0\x63\xa1\xff\xf8\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x61\x11\0\0\0\0\0\0\x15\x10\0\x32\0\0\0\0\xbf\x6a\0\0\0\0\0\0\x07\x60\0\
\0\xff\xff\xff\xf8\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x65\
\x10\0\x05\0\0\0\x02\x15\x10\0\x13\0\0\0\x01\x15\x10\0\x01\0\0\0\x02\x05\0\0\
\x29\0\0\0\0\x85\0\0\0\0\0\0\x08\x05\0\0\x07\0\0\0\0\x15\x10\0\x05\0\0\0\x03\
\x15\x10\0\x01\0\0\0\x04\x05\0\0\x24\0\0\0\0\x85\0\0\0\0\0\0\x0e\x77\0\0\0\0\0\
\0\x20\x05\0\0\x01\0\0\0\0\x85\0\0\0\0\0\0\x0e\x63\xa0\xff\xfc\0\0\0\0\xbf\x2a\
\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xfc\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x85\0\0\0\0\0\0\x01\xbf\x60\0\0\0\0\0\0\x15\x60\0\x18\0\0\0\0\xbf\x2a\0\0\0\0\
\0\0\x07\x20\0\0\xff\xff\xff\xf8\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\
\0\0\0\x01\xbf\x70\0\0\0\0\0\0\x15\x70\0\x11\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\xbf\x26\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\x15\0\0\x0c\0\0\0\0\x79\x17\
\0\0\0\0\0\0\x79\x20\0\0\0\0\0\0\x0f\x21\0\0\0\0\0\0\x7b\x02\0\0\0\0\0\0\x79\
\x10\0\x08\0\0\0\0\x79\x27\0\x08\0\0\0\0\x0f\x12\0\0\0\0\0\0\x7b\x01\0\x08\0\0\
\0\0\x79\x17\0\x10\0\0\0\0\x79\x20\0\x10\0\0\0\0\x0f\x21\0\0\0\0\0\0\x7b\x02\0\
\x10\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x44\x75\x61\x6c\x20\x42\x53\
\x44\x2f\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x2c\0\x05\x08\0\0\0\0\
\x03\0\0\0\x0c\0\0\0\x14\0\0\0\x1c\x04\xf8\x01\xc0\x03\x01\x56\0\x04\xb0\x02\
\xc0\x03\x01\x57\0\x04\xd8\x02\xc0\x03\x01\x50\0\x01\x11\x01\x25\x25\x13\x05\
\x03\x25\x72\x17\x10\x17\x1b\x25\x11\x1b\x12\x06\x73\x17\x8c\x01\x17\0\0\x02\
\x34\0\x03\x25\x49\x13\x3f\x19\x3a\x0b\x3b\x0b\x02\x18\0\0\x03\x04\x01\x49\x13\
\x03\x25\x0b\x0b\x3a\x0b\x3b\x0b\0\0\x04\x28\0\x03\x25\x1c\x0f\0\0\x05\x24\0\
\x03\x25\x3e\x0b\x0b\x0b\0\0\x06\x01\x01\x49\x13\0\0\x07\x21\0\x49\x13\x37\x0b\
\0\0\x08\x24\0\x03\x25\x0b\x0b\x3e\x0b\0\0\x09\x13\x01\x0b\x0b\x3a\x0b\x3b\x0b\
\0\0\x0a\x0d\0\x03\x25\x49\x13\x3a\x0b\x3b\x0b\x38\x0b\0\0\x0b\x0f\0\x49\x13\0\
\0\x0c\x34\0\x03\x25\x49\x13\x3a\x0b\x3b\x0b\x1c\x0f\0\0\x0d\x15\0\x49\x13\x27\
\x19\0\0\x0e\x16\0\x49\x13\x03\x25\x3a\x0b\x3b\x0b\0\0\x0f\x34\0\x03\x25\x49\
\x13\x3a\x0b\x3b\x05\x1c\x0f\0\0\x10\x15\x01\x49\x13\x27\x19\0\0\x11\x05\0\x49\
\x13\0\0\x12\x0f\0\0\0\x13\x26\0\0\0\x14\x2e\x01\x03\x25\x3a\x0b\x3b\x0b\x27\
\x19\x49\x13\x20\x21\x01\0\0\x15\x05\0\x03\x25\x3a\x0b\x3b\x0b\x49\x13\0\0\x16\
\x34\0\x03\x25\x3a\x0b\x3b\x0b\x49\x13\0\0\x17\x0a\0\x03\x25\x3a\x0b\x3b\x0b\0\
\0\x18\x13\x01\x03\x25\x0b\x0b\x3a\x0b\x3b\x05\0\0\x19\x0d\0\x03\x25\x49\x13\
\x3a\x0b\x3b\x05\x38\x0b\0\0\x1a\x2e\x01\x11\x1b\x12\x06\x40\x18\x7a\x19\x03\
\x25\x3a\x0b\x3b\x0b\x27\x19\x49\x13\x3f\x19\0\0\x1b\x1d\x01\x31\x13\x11\x1b\
\x12\x06\x58\x0b\x59\x0b\x57\x0b\0\0\x1c\x34\0\x02\x18\x31\x13\0\0\x1d\x34\0\
\x02\x22\x31\x13\0\0\x1e\x0a\0\x31\x13\x11\x1b\0\0\0\0\0\x02\x6d\0\x05\x01\x08\
\0\0\0\0\x01\0\0\x1d\x01\0\0\0\x08\0\0\0\0\x02\x06\0\0\x01\xd0\0\0\0\x08\0\0\0\
\x0c\x02\x03\0\0\0\x32\0\x1c\x02\xa1\0\x03\0\0\0\x48\x09\x04\x01\x07\x04\x05\
\x01\x04\x06\x02\x04\x07\x03\x04\x08\x04\0\x05\x04\x07\x04\x02\x0a\0\0\0\x57\0\
\x1d\x02\xa1\x01\x05\x0b\x05\x04\x02\x0c\0\0\0\x66\0\x4e\x02\xa1\x02\x06\0\0\0\
\x72\x07\0\0\0\x76\x0d\0\x05\x0d\x06\x01\x08\x0e\x08\x07\x02\x0f\0\0\0\x85\0\
\x0d\x02\xa1\x03\x09\x20\0\x08\x0a\x03\0\0\0\xae\0\x09\0\x0a\x10\0\0\0\xbf\0\
\x0a\x08\x0a\x11\0\0\0\xd0\0\x0b\x10\x0a\x12\0\0\0\xe1\0\x0c\x18\0\x0b\0\0\0\
\xb3\x06\0\0\0\x57\x07\0\0\0\x76\x06\0\x0b\0\0\0\xc4\x06\0\0\0\x57\x07\0\0\0\
\x76\x04\0\x0b\0\0\0\xd5\x06\0\0\0\x57\x07\0\0\0\x76\x18\0\x0b\0\0\0\xe6\x06\0\
\0\0\x57\x07\0\0\0\x76\x01\0\x02\x13\0\0\0\xfd\0\x14\x02\xa1\x04\x09\x20\0\x0f\
\x0a\x03\0\0\0\xae\0\x10\0\x0a\x10\0\0\0\xbf\0\x11\x08\x0a\x11\0\0\0\xd0\0\x12\
\x10\x0a\x12\0\0\0\xe1\0\x13\x18\0\x02\x14\0\0\x01\x31\0\x1a\x02\xa1\x05\x09\
\x18\0\x16\x0a\x03\0\0\0\xe1\0\x17\0\x0a\x10\0\0\0\xbf\0\x18\x08\x0a\x11\0\0\0\
\xbf\0\x19\x10\0\x0c\x15\0\0\x01\x5a\x03\xce\x08\x0b\0\0\x01\x5f\x0d\0\0\x01\
\x64\x0e\0\0\0\x48\x16\x02\x1b\x0f\x17\0\0\x01\x76\x03\x01\x70\x0e\x0b\0\0\x01\
\x7b\x0d\0\0\x01\x80\x0e\0\0\x01\x88\x19\x02\x1f\x05\x18\x07\x08\x0c\x1a\0\0\
\x01\x95\x03\x38\x01\x0b\0\0\x01\x9a\x10\0\0\x01\xaa\x11\0\0\x01\xaa\x11\0\0\
\x01\xab\0\x12\x0b\0\0\x01\xb0\x13\x14\x1b\0\x20\0\0\0\x57\x15\x1c\0\x20\0\0\
\x01\xee\x16\x1d\0\x23\0\0\x01\x64\x16\x1e\0\x23\0\0\x01\x64\x16\x1f\0\x24\0\0\
\x01\xf3\x16\x20\0\x22\0\0\x01\xf8\x16\x24\0\x22\0\0\x01\xf8\x17\x25\0\x3e\0\
\x0b\0\0\x01\x88\x0b\0\0\x01\x64\x0b\0\0\x01\xfd\x18\x23\x18\x04\x1b\xac\x19\
\x21\0\0\x01\x80\x04\x1b\xad\0\x19\x0a\0\0\x01\x80\x04\x1b\xae\x08\x19\x22\0\0\
\x01\x80\x04\x1b\xaf\x10\0\x1a\x06\0\0\x01\xd0\x01\x5a\x26\0\x20\0\0\0\x57\x15\
\x1c\0\x20\0\0\x01\xee\x1b\0\0\x01\xb1\x07\0\0\x01\xb8\0\x20\x05\x1c\x02\x91\0\
\0\0\x01\xc1\x1c\x02\x91\x04\0\0\x01\xc9\x1d\0\0\0\x01\xd1\x1d\x01\0\0\x01\xd9\
\x1d\x02\0\0\x01\xe1\x1e\0\0\x01\xe9\x08\0\0\0\0\0\0\xa0\0\x05\0\0\0\0\0\0\0\0\
\0\x2c\0\0\0\x4f\0\0\0\x9f\0\0\0\xa4\0\0\0\xb1\0\0\0\xc5\0\0\0\xd6\0\0\0\xe7\0\
\0\0\xf9\0\0\x01\x0b\0\0\x01\x13\0\0\x01\x17\0\0\x01\x1f\0\0\x01\x24\0\0\x01\
\x38\0\0\x01\x46\0\0\x01\x4f\0\0\x01\x5a\0\0\x01\x66\0\0\x01\x75\0\0\x01\x7c\0\
\0\x01\x95\0\0\x01\x9b\0\0\x01\xb4\0\0\x01\xc7\0\0\x01\xcd\0\0\x01\xe1\0\0\x01\
\xef\0\0\x01\xf3\0\0\x01\xf8\0\0\x02\x03\0\0\x02\x0d\0\0\x02\x16\0\0\x02\x1e\0\
\0\x02\x26\0\0\x02\x3b\0\0\x02\x45\0\0\x02\x4c\x63\x6c\x61\x6e\x67\x20\x76\x65\
\x72\x73\x69\x6f\x6e\x20\x31\x38\x2e\x31\x2e\x32\x20\x28\x46\x65\x64\x6f\x72\
\x61\x20\x31\x38\x2e\x31\x2e\x32\x2d\x32\x2e\x66\x63\x34\x31\x29\0\x75\x74\x69\
\x6c\x2f\x62\x70\x66\x5f\x73\x6b\x65\x6c\x2f\x62\x70\x65\x72\x66\x5f\x66\x6f\
\x6c\x6c\x6f\x77\x65\x72\x2e\x62\x70\x66\x2e\x63\0\x2f\x62\x75\x69\x6c\x64\x64\
\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\
\x65\x6c\x2d\x36\x2e\x39\x2d\x72\x63\x34\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\
\x39\x2e\x30\x2d\x30\x2e\x72\x63\x34\x2e\x33\x37\x2e\x66\x63\x34\x31\x2e\x73\
\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\x70\x65\x72\x66\0\x74\x79\x70\x65\
\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x42\x50\x45\x52\x46\x5f\
\x46\x49\x4c\x54\x45\x52\x5f\x47\x4c\x4f\x42\x41\x4c\0\x42\x50\x45\x52\x46\x5f\
\x46\x49\x4c\x54\x45\x52\x5f\x43\x50\x55\0\x42\x50\x45\x52\x46\x5f\x46\x49\x4c\
\x54\x45\x52\x5f\x50\x49\x44\0\x42\x50\x45\x52\x46\x5f\x46\x49\x4c\x54\x45\x52\
\x5f\x54\x47\x49\x44\0\x62\x70\x65\x72\x66\x5f\x66\x69\x6c\x74\x65\x72\x5f\x74\
\x79\x70\x65\0\x65\x6e\x61\x62\x6c\x65\x64\0\x69\x6e\x74\0\x4c\x49\x43\x45\x4e\
\x53\x45\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\
\x5f\x54\x59\x50\x45\x5f\x5f\0\x64\x69\x66\x66\x5f\x72\x65\x61\x64\x69\x6e\x67\
\x73\0\x6b\x65\x79\x5f\x73\x69\x7a\x65\0\x76\x61\x6c\x75\x65\x5f\x73\x69\x7a\
\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x61\x63\x63\x75\x6d\x5f\
\x72\x65\x61\x64\x69\x6e\x67\x73\0\x66\x69\x6c\x74\x65\x72\0\x62\x70\x66\x5f\
\x67\x65\x74\x5f\x73\x6d\x70\x5f\x70\x72\x6f\x63\x65\x73\x73\x6f\x72\x5f\x69\
\x64\0\x5f\x5f\x75\x33\x32\0\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\
\x65\x6e\x74\x5f\x70\x69\x64\x5f\x74\x67\x69\x64\0\x75\x6e\x73\x69\x67\x6e\x65\
\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x5f\x5f\x75\x36\x34\0\x62\x70\
\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\0\x5f\x5f\
\x5f\x5f\x66\x65\x78\x69\x74\x5f\x58\x58\x58\0\x63\x74\x78\0\x7a\x65\x72\x6f\0\
\x66\x69\x6c\x74\x65\x72\x5f\x6b\x65\x79\0\x61\x63\x63\x75\x6d\x5f\x6b\x65\x79\
\0\x64\x69\x66\x66\x5f\x76\x61\x6c\0\x63\x6f\x75\x6e\x74\x65\x72\0\x72\x75\x6e\
\x6e\x69\x6e\x67\0\x62\x70\x66\x5f\x70\x65\x72\x66\x5f\x65\x76\x65\x6e\x74\x5f\
\x76\x61\x6c\x75\x65\0\x61\x63\x63\x75\x6d\x5f\x76\x61\x6c\0\x64\x6f\x5f\x61\
\x64\x64\0\x66\x65\x78\x69\x74\x5f\x58\x58\x58\0\0\0\0\x4c\0\x05\x08\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\x01\0\xeb\x9f\x01\0\0\
\0\0\x18\0\0\0\0\0\0\x02\xb4\0\0\x02\xb4\0\0\x03\xc9\0\0\0\0\x02\0\0\0\0\0\0\
\x03\0\0\0\x01\x01\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\x02\0\0\0\x04\0\0\0\x06\0\0\0\x05\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x02\0\
\0\0\0\0\0\x06\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x04\0\0\0\0\
\x02\0\0\0\0\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x18\0\
\0\0\0\x02\0\0\0\0\0\0\x0a\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\
\x01\0\0\0\0\x04\0\0\x04\0\0\0\x20\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\
\x05\0\0\0\x40\0\0\0\x27\0\0\0\x07\0\0\0\x80\0\0\0\x32\0\0\0\x09\0\0\0\xc0\0\0\
\0\x3e\x0e\0\0\0\0\0\0\x0b\0\0\0\x01\0\0\0\0\x04\0\0\x04\0\0\0\x20\0\0\0\x19\0\
\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\x05\0\0\0\x40\0\0\0\x27\0\0\0\x07\0\0\0\x80\0\
\0\0\x32\0\0\0\x09\0\0\0\xc0\0\0\0\x4c\x0e\0\0\0\0\0\0\x0d\0\0\0\x01\0\0\0\0\
\x04\0\0\x03\0\0\0\x18\0\0\0\x19\0\0\0\x09\0\0\0\0\0\0\0\x1e\0\0\0\x05\0\0\0\
\x40\0\0\0\x27\0\0\0\x05\0\0\0\x80\0\0\0\x5b\x0e\0\0\0\0\0\0\x0f\0\0\0\x01\0\0\
\0\0\x02\0\0\0\0\0\0\x12\0\0\0\x62\x01\0\0\0\0\0\0\x08\0\0\0\x40\0\0\0\0\x0d\0\
\0\x01\0\0\0\x02\0\0\0\x75\0\0\0\x11\0\0\0\x79\x0c\0\0\x01\0\0\0\x13\0\0\x03\
\x47\x06\0\0\x04\0\0\0\x04\0\0\x03\x59\0\0\0\x01\0\0\x03\x6d\0\0\0\x02\0\0\x03\
\x7e\0\0\0\x03\0\0\x03\x8f\0\0\0\x04\0\0\0\x19\x0e\0\0\0\0\0\0\x15\0\0\0\x01\0\
\0\x03\xa1\x0e\0\0\0\0\0\0\x02\0\0\0\x01\0\0\x03\xa9\x01\0\0\0\0\0\0\x01\x01\0\
\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\x04\0\0\0\x0d\0\0\x03\xae\x0e\
\0\0\0\0\0\0\x19\0\0\0\x01\0\0\x03\xb6\x0f\0\0\x02\0\0\0\0\0\0\0\x16\0\0\0\0\0\
\0\0\x04\0\0\0\x17\0\0\0\0\0\0\0\x04\0\0\x03\xbb\x0f\0\0\x03\0\0\0\0\0\0\0\x0c\
\0\0\0\0\0\0\0\x20\0\0\0\x0e\0\0\0\0\0\0\0\x20\0\0\0\x10\0\0\0\0\0\0\0\x18\0\0\
\x03\xc1\x0f\0\0\x01\0\0\0\0\0\0\0\x1a\0\0\0\0\0\0\0\x0d\0\x69\x6e\x74\0\x5f\
\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x74\
\x79\x70\x65\0\x6b\x65\x79\x5f\x73\x69\x7a\x65\0\x76\x61\x6c\x75\x65\x5f\x73\
\x69\x7a\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x64\x69\x66\x66\
\x5f\x72\x65\x61\x64\x69\x6e\x67\x73\0\x61\x63\x63\x75\x6d\x5f\x72\x65\x61\x64\
\x69\x6e\x67\x73\0\x66\x69\x6c\x74\x65\x72\0\x75\x6e\x73\x69\x67\x6e\x65\x64\
\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x63\x74\x78\0\x66\x65\x78\x69\x74\
\x5f\x58\x58\x58\0\x66\x65\x78\x69\x74\x2f\x58\x58\x58\0\x2f\x62\x75\x69\x6c\
\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\
\x72\x6e\x65\x6c\x2d\x36\x2e\x39\x2d\x72\x63\x34\x2f\x6c\x69\x6e\x75\x78\x2d\
\x36\x2e\x39\x2e\x30\x2d\x30\x2e\x72\x63\x34\x2e\x33\x37\x2e\x66\x63\x34\x31\
\x2e\x73\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\x70\x65\x72\x66\x2f\x75\
\x74\x69\x6c\x2f\x62\x70\x66\x5f\x73\x6b\x65\x6c\x2f\x62\x70\x65\x72\x66\x5f\
\x66\x6f\x6c\x6c\x6f\x77\x65\x72\x2e\x62\x70\x66\x2e\x63\0\x69\x6e\x74\x20\x42\
\x50\x46\x5f\x50\x52\x4f\x47\x28\x66\x65\x78\x69\x74\x5f\x58\x58\x58\x29\0\x09\
\x5f\x5f\x75\x33\x32\x20\x66\x69\x6c\x74\x65\x72\x5f\x6b\x65\x79\x2c\x20\x7a\
\x65\x72\x6f\x20\x3d\x20\x30\x3b\0\x09\x69\x66\x20\x28\x21\x65\x6e\x61\x62\x6c\
\x65\x64\x29\0\x09\x73\x77\x69\x74\x63\x68\x20\x28\x74\x79\x70\x65\x29\x20\x7b\
\0\x09\x09\x66\x69\x6c\x74\x65\x72\x5f\x6b\x65\x79\x20\x3d\x20\x62\x70\x66\x5f\
\x67\x65\x74\x5f\x73\x6d\x70\x5f\x70\x72\x6f\x63\x65\x73\x73\x6f\x72\x5f\x69\
\x64\x28\x29\x3b\0\x09\x09\x66\x69\x6c\x74\x65\x72\x5f\x6b\x65\x79\x20\x3d\x20\
\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\x70\x69\x64\
\x5f\x74\x67\x69\x64\x28\x29\x20\x3e\x3e\x20\x33\x32\x3b\0\x09\x09\x66\x69\x6c\
\x74\x65\x72\x5f\x6b\x65\x79\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\
\x75\x72\x72\x65\x6e\x74\x5f\x70\x69\x64\x5f\x74\x67\x69\x64\x28\x29\x20\x26\
\x20\x30\x78\x66\x66\x66\x66\x66\x66\x66\x66\x3b\0\x09\x61\x63\x63\x75\x6d\x5f\
\x6b\x65\x79\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\
\x70\x5f\x65\x6c\x65\x6d\x28\x26\x66\x69\x6c\x74\x65\x72\x2c\x20\x26\x66\x69\
\x6c\x74\x65\x72\x5f\x6b\x65\x79\x29\x3b\0\x09\x69\x66\x20\x28\x21\x61\x63\x63\
\x75\x6d\x5f\x6b\x65\x79\x29\0\x09\x64\x69\x66\x66\x5f\x76\x61\x6c\x20\x3d\x20\
\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\
\x28\x26\x64\x69\x66\x66\x5f\x72\x65\x61\x64\x69\x6e\x67\x73\x2c\x20\x26\x7a\
\x65\x72\x6f\x29\x3b\0\x09\x69\x66\x20\x28\x21\x64\x69\x66\x66\x5f\x76\x61\x6c\
\x29\0\x09\x61\x63\x63\x75\x6d\x5f\x76\x61\x6c\x20\x3d\x20\x62\x70\x66\x5f\x6d\
\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\x61\x63\x63\
\x75\x6d\x5f\x72\x65\x61\x64\x69\x6e\x67\x73\x2c\x20\x61\x63\x63\x75\x6d\x5f\
\x6b\x65\x79\x29\x3b\0\x09\x69\x66\x20\x28\x21\x61\x63\x63\x75\x6d\x5f\x76\x61\
\x6c\x29\0\x09\x61\x63\x63\x75\x6d\x5f\x76\x61\x6c\x2d\x3e\x63\x6f\x75\x6e\x74\
\x65\x72\x20\x2b\x3d\x20\x64\x69\x66\x66\x5f\x76\x61\x6c\x2d\x3e\x63\x6f\x75\
\x6e\x74\x65\x72\x3b\0\x09\x61\x63\x63\x75\x6d\x5f\x76\x61\x6c\x2d\x3e\x65\x6e\
\x61\x62\x6c\x65\x64\x20\x2b\x3d\x20\x64\x69\x66\x66\x5f\x76\x61\x6c\x2d\x3e\
\x65\x6e\x61\x62\x6c\x65\x64\x3b\0\x09\x61\x63\x63\x75\x6d\x5f\x76\x61\x6c\x2d\
\x3e\x72\x75\x6e\x6e\x69\x6e\x67\x20\x2b\x3d\x20\x64\x69\x66\x66\x5f\x76\x61\
\x6c\x2d\x3e\x72\x75\x6e\x6e\x69\x6e\x67\x3b\0\x62\x70\x65\x72\x66\x5f\x66\x69\
\x6c\x74\x65\x72\x5f\x74\x79\x70\x65\0\x42\x50\x45\x52\x46\x5f\x46\x49\x4c\x54\
\x45\x52\x5f\x47\x4c\x4f\x42\x41\x4c\0\x42\x50\x45\x52\x46\x5f\x46\x49\x4c\x54\
\x45\x52\x5f\x43\x50\x55\0\x42\x50\x45\x52\x46\x5f\x46\x49\x4c\x54\x45\x52\x5f\
\x50\x49\x44\0\x42\x50\x45\x52\x46\x5f\x46\x49\x4c\x54\x45\x52\x5f\x54\x47\x49\
\x44\0\x65\x6e\x61\x62\x6c\x65\x64\0\x63\x68\x61\x72\0\x4c\x49\x43\x45\x4e\x53\
\x45\0\x2e\x62\x73\x73\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\0\
\0\0\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\x01\xbc\0\0\x01\
\xd0\0\0\0\0\0\0\0\x08\0\0\0\x83\0\0\0\x01\0\0\0\0\0\0\0\x14\0\0\0\x10\0\0\0\
\x83\0\0\0\x1b\0\0\0\0\0\0\0\x8d\0\0\x01\0\0\0\x80\0\0\0\0\x08\0\0\0\x8d\0\0\
\x01\x18\0\0\x8c\x14\0\0\0\x10\0\0\0\x8d\0\0\x01\x35\0\0\x98\x07\0\0\0\x28\0\0\
\0\x8d\0\0\x01\x35\0\0\x98\x06\0\0\0\x38\0\0\0\x8d\0\0\x01\x44\0\0\xa4\x0a\0\0\
\0\x58\0\0\0\x8d\0\0\x01\x44\0\0\xa4\x02\0\0\0\x78\0\0\0\x8d\0\0\x01\x55\0\0\
\xb8\x10\0\0\0\x88\0\0\0\x8d\0\0\x01\x44\0\0\xa4\x02\0\0\0\xa0\0\0\0\x8d\0\0\
\x01\x80\0\0\xd0\x10\0\0\0\xa8\0\0\0\x8d\0\0\x01\x80\0\0\xd0\x2b\0\0\0\xb8\0\0\
\0\x8d\0\0\x01\xb1\0\0\xc4\x10\0\0\0\xc0\0\0\0\x8d\0\0\0\0\0\0\0\0\0\0\0\xd0\0\
\0\0\x8d\0\0\x01\xe9\0\0\xe8\x0e\0\0\0\xf8\0\0\0\x8d\0\0\x02\x21\0\0\xec\x06\0\
\0\x01\x08\0\0\0\x8d\0\0\0\0\0\0\0\0\0\0\x01\x10\0\0\0\x8d\0\0\x02\x32\0\0\xfc\
\x0d\0\0\x01\x30\0\0\0\x8d\0\0\x02\x6a\0\x01\0\x06\0\0\x01\x38\0\0\0\x8d\0\0\
\x02\x7a\0\x01\x0c\x0e\0\0\x01\x58\0\0\0\x8d\0\0\x02\xb8\0\x01\x10\x06\0\0\x01\
\x60\0\0\0\x8d\0\0\x02\xc9\0\x01\x1c\x22\0\0\x01\x68\0\0\0\x8d\0\0\x02\xc9\0\
\x01\x1c\x15\0\0\x01\x80\0\0\0\x8d\0\0\x02\xf3\0\x01\x20\x15\0\0\x01\x88\0\0\0\
\x8d\0\0\x02\xf3\0\x01\x20\x22\0\0\x01\x90\0\0\0\x8d\0\0\x02\xf3\0\x01\x20\x15\
\0\0\x01\xa0\0\0\0\x8d\0\0\x03\x1d\0\x01\x24\x22\0\0\x01\xa8\0\0\0\x8d\0\0\x03\
\x1d\0\x01\x24\x15\0\0\x01\xc0\0\0\0\x8d\0\0\x01\0\0\0\x80\x05\0\0\0\0\0\0\0\
\x0c\xff\xff\xff\xff\x04\0\x08\0\x08\x7c\x0b\0\0\0\0\x14\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x01\xd0\0\0\x01\x2b\0\x05\x08\0\0\0\0\x9b\x08\x01\x01\xfb\x0e\
\x0d\0\x01\x01\x01\x01\0\0\0\x01\0\0\x01\x01\x01\x1f\x05\0\0\0\0\0\0\0\x50\0\0\
\0\x5e\0\0\0\x77\0\0\0\x88\x03\x01\x1f\x02\x0f\x05\x1e\x05\0\0\0\xd3\0\x20\x93\
\xe3\xea\x93\xb2\x70\x98\xf9\x74\x73\xc6\x1b\xcd\xa2\x64\0\0\0\xf6\x01\x42\x72\
\xe3\xc0\xa3\x99\x50\xd2\xa0\xec\x80\x4e\xa2\xf5\xe1\x75\0\0\x01\0\x02\xb8\x10\
\xf2\x70\x73\x3e\x10\x63\x19\xb6\x7e\xf5\x12\xc6\x24\x6e\0\0\x01\x0b\x03\x74\
\x22\xca\x06\xc9\xdc\x86\xeb\xa2\xf2\x68\xa5\x7d\x8a\xcf\x2f\0\0\x01\x1d\x04\
\xc0\xa2\xfe\xfc\x34\xe4\x14\x81\x37\x9e\x4c\x39\x7d\x8f\x25\x83\x04\0\0\x09\
\x02\0\0\0\0\0\0\0\0\x03\x1f\x01\x05\x14\x0a\x23\x05\x07\x23\x05\x06\x06\x3c\
\x03\x5a\x20\x05\x0a\x06\x03\x29\x20\x05\x02\x06\x4a\x05\x10\x06\x4f\x06\x03\
\x52\x20\x05\x02\x06\x03\x29\x20\x05\x10\x03\x0b\x3c\x05\x2b\x06\x20\x05\x10\
\x06\x2b\x05\0\x06\x03\x4f\x20\x05\x0e\x06\x03\x3a\x2e\x05\x06\x59\x06\x03\x45\
\x20\x05\x0d\x06\x03\x3f\x2e\x05\x06\x4b\x05\x0e\x23\x05\x06\x4b\x05\x22\x23\
\x05\x15\x06\x20\x06\x3d\x05\x22\x06\x20\x05\x15\x20\x05\x22\x06\x2f\x05\x15\
\x06\x20\x05\x05\x06\x03\x57\x3c\x02\x02\0\x01\x01\x2f\x62\x75\x69\x6c\x64\x64\
\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\
\x65\x6c\x2d\x36\x2e\x39\x2d\x72\x63\x34\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\
\x39\x2e\x30\x2d\x30\x2e\x72\x63\x34\x2e\x33\x37\x2e\x66\x63\x34\x31\x2e\x73\
\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\x70\x65\x72\x66\0\x75\x74\x69\x6c\
\x2f\x62\x70\x66\x5f\x73\x6b\x65\x6c\0\x2f\x75\x73\x72\x2f\x69\x6e\x63\x6c\x75\
\x64\x65\x2f\x61\x73\x6d\x2d\x67\x65\x6e\x65\x72\x69\x63\0\x2f\x75\x73\x72\x2f\
\x69\x6e\x63\x6c\x75\x64\x65\x2f\x62\x70\x66\0\x2f\x62\x75\x69\x6c\x64\x64\x69\
\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\
\x6c\x2d\x36\x2e\x39\x2d\x72\x63\x34\x2f\x6c\x69\x6e\x75\x78\x2d\x36\x2e\x39\
\x2e\x30\x2d\x30\x2e\x72\x63\x34\x2e\x33\x37\x2e\x66\x63\x34\x31\x2e\x73\x33\
\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\0\x75\x74\x69\x6c\x2f\x62\x70\x66\x5f\x73\
\x6b\x65\x6c\x2f\x62\x70\x65\x72\x66\x5f\x66\x6f\x6c\x6c\x6f\x77\x65\x72\x2e\
\x62\x70\x66\x2e\x63\0\x62\x70\x65\x72\x66\x5f\x75\x2e\x68\0\x69\x6e\x74\x2d\
\x6c\x6c\x36\x34\x2e\x68\0\x62\x70\x66\x5f\x68\x65\x6c\x70\x65\x72\x5f\x64\x65\
\x66\x73\x2e\x68\0\x69\x6e\x63\x6c\x75\x64\x65\x2f\x75\x61\x70\x69\x2f\x6c\x69\
\x6e\x75\x78\x2f\x62\x70\x66\x2e\x68\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xf7\x04\0\xff\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x68\0\0\0\x03\0\0\0\0\0\0\
\x01\xc0\0\0\0\0\0\0\0\0\0\0\x01\x61\0\0\0\x03\0\0\0\0\0\0\0\x88\0\0\0\0\0\0\0\
\0\0\0\x01\x70\0\0\0\x03\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x01\x5a\0\0\0\
\x03\0\0\0\0\0\0\0\x78\0\0\0\0\0\0\0\0\0\0\x01\x45\0\0\0\x03\0\0\0\0\0\0\0\xc0\
\0\0\0\0\0\0\0\0\0\0\x01\x53\0\0\0\x03\0\0\0\0\0\0\0\xb8\0\0\0\0\0\0\0\0\0\0\
\x01\x4c\0\0\0\x03\0\0\0\0\0\0\0\xa0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x08\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x09\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x03\0\0\x0c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x0e\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x0f\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x03\0\0\x15\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x17\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x19\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x01\x1c\x12\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\xd0\0\0\0\xef\x11\0\0\
\x05\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x04\0\0\0\xc9\x11\0\0\x05\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x04\0\0\0\x8c\x11\0\0\x07\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x18\0\
\0\0\x63\x11\0\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\x54\x11\0\0\x07\0\
\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x20\0\0\x01\x3d\x11\0\0\x06\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x0d\0\0\0\0\0\0\0\x10\0\0\0\x13\0\0\0\x01\0\0\0\0\0\0\0\x40\0\0\0\
\x14\0\0\0\x01\0\0\0\0\0\0\0\xd8\0\0\0\x15\0\0\0\x01\0\0\0\0\0\0\x01\x10\0\0\0\
\x16\0\0\0\x01\0\0\0\0\0\0\x01\x38\0\0\0\x17\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\
\x0b\0\0\0\x03\0\0\0\0\0\0\0\x11\0\0\0\x0c\0\0\0\x03\0\0\0\0\0\0\0\x15\0\0\0\
\x10\0\0\0\x03\0\0\0\0\0\0\0\x1f\0\0\0\x0e\0\0\0\x03\0\0\0\0\0\0\0\x23\0\0\0\
\x0a\0\0\0\x03\0\0\0\0\0\0\0\x08\0\0\0\x0d\0\0\0\x03\0\0\0\0\0\0\0\x0c\0\0\0\
\x0d\0\0\0\x03\0\0\0\0\0\0\0\x10\0\0\0\x0d\0\0\0\x03\0\0\0\0\0\0\0\x14\0\0\0\
\x0d\0\0\0\x03\0\0\0\0\0\0\0\x18\0\0\0\x0d\0\0\0\x03\0\0\0\0\0\0\0\x1c\0\0\0\
\x0d\0\0\0\x03\0\0\0\0\0\0\0\x20\0\0\0\x0d\0\0\0\x03\0\0\0\0\0\0\0\x24\0\0\0\
\x0d\0\0\0\x03\0\0\0\0\0\0\0\x28\0\0\0\x0d\0\0\0\x03\0\0\0\0\0\0\0\x2c\0\0\0\
\x0d\0\0\0\x03\0\0\0\0\0\0\0\x30\0\0\0\x0d\0\0\0\x03\0\0\0\0\0\0\0\x34\0\0\0\
\x0d\0\0\0\x03\0\0\0\0\0\0\0\x38\0\0\0\x0d\0\0\0\x03\0\0\0\0\0\0\0\x3c\0\0\0\
\x0d\0\0\0\x03\0\0\0\0\0\0\0\x40\0\0\0\x0d\0\0\0\x03\0\0\0\0\0\0\0\x44\0\0\0\
\x0d\0\0\0\x03\0\0\0\0\0\0\0\x48\0\0\0\x0d\0\0\0\x03\0\0\0\0\0\0\0\x4c\0\0\0\
\x0d\0\0\0\x03\0\0\0\0\0\0\0\x50\0\0\0\x0d\0\0\0\x03\0\0\0\0\0\0\0\x54\0\0\0\
\x0d\0\0\0\x03\0\0\0\0\0\0\0\x58\0\0\0\x0d\0\0\0\x03\0\0\0\0\0\0\0\x5c\0\0\0\
\x0d\0\0\0\x03\0\0\0\0\0\0\0\x60\0\0\0\x0d\0\0\0\x03\0\0\0\0\0\0\0\x64\0\0\0\
\x0d\0\0\0\x03\0\0\0\0\0\0\0\x68\0\0\0\x0d\0\0\0\x03\0\0\0\0\0\0\0\x6c\0\0\0\
\x0d\0\0\0\x03\0\0\0\0\0\0\0\x70\0\0\0\x0d\0\0\0\x03\0\0\0\0\0\0\0\x74\0\0\0\
\x0d\0\0\0\x03\0\0\0\0\0\0\0\x78\0\0\0\x0d\0\0\0\x03\0\0\0\0\0\0\0\x7c\0\0\0\
\x0d\0\0\0\x03\0\0\0\0\0\0\0\x80\0\0\0\x0d\0\0\0\x03\0\0\0\0\0\0\0\x84\0\0\0\
\x0d\0\0\0\x03\0\0\0\0\0\0\0\x88\0\0\0\x0d\0\0\0\x03\0\0\0\0\0\0\0\x8c\0\0\0\
\x0d\0\0\0\x03\0\0\0\0\0\0\0\x90\0\0\0\x0d\0\0\0\x03\0\0\0\0\0\0\0\x94\0\0\0\
\x0d\0\0\0\x03\0\0\0\0\0\0\0\x98\0\0\0\x0d\0\0\0\x03\0\0\0\0\0\0\0\x9c\0\0\0\
\x0d\0\0\0\x03\0\0\0\0\0\0\0\xa0\0\0\0\x0d\0\0\0\x03\0\0\0\0\0\0\0\x08\0\0\0\
\x14\0\0\0\x02\0\0\0\0\0\0\0\x10\0\0\0\x13\0\0\0\x02\0\0\0\0\0\0\0\x18\0\0\0\
\x18\0\0\0\x02\0\0\0\0\0\0\0\x20\0\0\0\x16\0\0\0\x02\0\0\0\0\0\0\0\x28\0\0\0\
\x17\0\0\0\x02\0\0\0\0\0\0\0\x30\0\0\0\x15\0\0\0\x02\0\0\0\0\0\0\0\x38\0\0\0\
\x02\0\0\0\x02\0\0\0\0\0\0\0\x40\0\0\0\x02\0\0\0\x02\0\0\0\0\0\0\0\x48\0\0\0\
\x02\0\0\0\x02\0\0\0\0\0\0\x02\x70\0\0\0\x14\0\0\0\x04\0\0\0\0\0\0\x02\x7c\0\0\
\0\x13\0\0\0\x04\0\0\0\0\0\0\x02\x94\0\0\0\x16\0\0\0\x04\0\0\0\0\0\0\x02\xa0\0\
\0\0\x17\0\0\0\x04\0\0\0\0\0\0\x02\xac\0\0\0\x15\0\0\0\x04\0\0\0\0\0\0\x02\xc4\
\0\0\0\x18\0\0\0\x04\0\0\0\0\0\0\0\x2c\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\x40\0\
\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\x50\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\x60\0\0\
\0\x02\0\0\0\x04\0\0\0\0\0\0\0\x70\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\x80\0\0\0\
\x02\0\0\0\x04\0\0\0\0\0\0\0\x90\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\xa0\0\0\0\
\x02\0\0\0\x04\0\0\0\0\0\0\0\xb0\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\xc0\0\0\0\
\x02\0\0\0\x04\0\0\0\0\0\0\0\xd0\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\xe0\0\0\0\
\x02\0\0\0\x04\0\0\0\0\0\0\0\xf0\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\x01\0\0\0\0\
\x02\0\0\0\x04\0\0\0\0\0\0\x01\x10\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\x01\x20\0\0\
\0\x02\0\0\0\x04\0\0\0\0\0\0\x01\x30\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\x01\x40\0\
\0\0\x02\0\0\0\x04\0\0\0\0\0\0\x01\x50\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\x01\x60\
\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\x01\x70\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\x01\
\x80\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\x01\x90\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\
\x01\xa0\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\x01\xb0\0\0\0\x02\0\0\0\x04\0\0\0\0\0\
\0\x01\xc0\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\x01\xd0\0\0\0\x02\0\0\0\x04\0\0\0\0\
\0\0\x01\xe0\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\x14\0\0\0\x0f\0\0\0\x03\0\0\0\0\
\0\0\0\x18\0\0\0\x02\0\0\0\x02\0\0\0\0\0\0\0\x22\0\0\0\x11\0\0\0\x03\0\0\0\0\0\
\0\0\x26\0\0\0\x11\0\0\0\x03\0\0\0\0\0\0\0\x2a\0\0\0\x11\0\0\0\x03\0\0\0\0\0\0\
\0\x2e\0\0\0\x11\0\0\0\x03\0\0\0\0\0\0\0\x32\0\0\0\x11\0\0\0\x03\0\0\0\0\0\0\0\
\x3e\0\0\0\x11\0\0\0\x03\0\0\0\0\0\0\0\x53\0\0\0\x11\0\0\0\x03\0\0\0\0\0\0\0\
\x68\0\0\0\x11\0\0\0\x03\0\0\0\0\0\0\0\x7d\0\0\0\x11\0\0\0\x03\0\0\0\0\0\0\0\
\x92\0\0\0\x11\0\0\0\x03\0\0\0\0\0\0\0\xac\0\0\0\x02\0\0\0\x02\x12\x18\x16\x17\
\x15\0\x2e\x64\x65\x62\x75\x67\x5f\x61\x62\x62\x72\x65\x76\0\x2e\x74\x65\x78\
\x74\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\x2e\x65\x78\x74\0\x2e\x64\x65\x62\x75\
\x67\x5f\x6c\x6f\x63\x6c\x69\x73\x74\x73\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\
\x67\x5f\x73\x74\x72\x5f\x6f\x66\x66\x73\x65\x74\x73\0\x2e\x62\x73\x73\0\x2e\
\x6d\x61\x70\x73\0\x61\x63\x63\x75\x6d\x5f\x72\x65\x61\x64\x69\x6e\x67\x73\0\
\x64\x69\x66\x66\x5f\x72\x65\x61\x64\x69\x6e\x67\x73\0\x2e\x64\x65\x62\x75\x67\
\x5f\x73\x74\x72\0\x2e\x64\x65\x62\x75\x67\x5f\x6c\x69\x6e\x65\x5f\x73\x74\x72\
\0\x66\x69\x6c\x74\x65\x72\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x61\
\x64\x64\x72\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x69\x6e\x66\x6f\0\
\x2e\x6c\x6c\x76\x6d\x5f\x61\x64\x64\x72\x73\x69\x67\0\x6c\x69\x63\x65\x6e\x73\
\x65\0\x74\x79\x70\x65\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x6c\x69\
\x6e\x65\0\x2e\x72\x65\x6c\x2e\x64\x65\x62\x75\x67\x5f\x66\x72\x61\x6d\x65\0\
\x65\x6e\x61\x62\x6c\x65\x64\0\x62\x70\x65\x72\x66\x5f\x66\x6f\x6c\x6c\x6f\x77\
\x65\x72\x2e\x62\x70\x66\x2e\x63\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\
\x6d\x74\x61\x62\0\x66\x65\x78\x69\x74\x5f\x58\x58\x58\0\x2e\x72\x65\x6c\x66\
\x65\x78\x69\x74\x2f\x58\x58\x58\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\0\x4c\x49\
\x43\x45\x4e\x53\x45\0\x4c\x42\x42\x30\x5f\x39\0\x4c\x42\x42\x30\x5f\x38\0\x4c\
\x42\x42\x30\x5f\x37\0\x4c\x42\x42\x30\x5f\x36\0\x4c\x42\x42\x30\x5f\x34\0\x4c\
\x42\x42\x30\x5f\x31\x33\0\x4c\x42\x42\x30\x5f\x31\x30\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x0c\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x1d\xdd\0\0\0\0\0\0\x01\x78\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\0\x0f\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\
\0\0\0\0\x01\x2a\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\
\0\0\0\0\0\0\x01\xd0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x01\
\x26\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x17\x48\0\0\0\0\0\
\0\0\x50\0\0\0\x1b\0\0\0\x03\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\x49\0\0\
\0\x08\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x10\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\xc1\0\0\0\x01\0\0\0\0\
\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x10\0\0\0\0\0\0\0\x0d\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x4e\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x02\x20\0\0\0\0\0\0\0\x58\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\0\0\0\0\x22\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x02\x78\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\x01\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\xa8\
\0\0\0\0\0\0\x01\x71\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\xa7\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x19\0\0\0\0\0\0\
\x02\x71\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\xa3\0\0\0\x09\
\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x17\x98\0\0\0\0\0\0\0\x50\0\0\0\
\x1b\0\0\0\x0a\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\x36\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\x8a\0\0\0\0\0\0\0\xa4\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x32\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x17\xe8\0\0\0\0\0\0\x02\x70\0\0\0\x1b\0\0\0\x0c\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\x71\0\0\0\x01\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x07\x2e\0\0\0\0\0\0\x02\x56\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\
\0\0\0\0\0\0\0\x01\0\0\0\x97\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x09\x84\0\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\0\x93\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1a\x58\0\
\0\0\0\0\0\0\x90\0\0\0\x1b\0\0\0\x0f\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\
\x01\x38\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\xd4\0\0\0\0\
\0\0\x06\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\x01\x34\0\0\
\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1a\xe8\0\0\0\0\0\0\0\x60\
\0\0\0\x1b\0\0\0\x11\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\x19\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\x6c\0\0\0\0\0\0\x01\xf0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\x15\0\0\0\x09\0\0\0\0\0\0\0\
\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1b\x48\0\0\0\0\0\0\x01\xc0\0\0\0\x1b\0\0\0\
\x13\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\xe2\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x12\x60\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\xde\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x1d\x08\0\0\0\0\0\0\0\x20\0\0\0\x1b\0\0\0\x15\0\0\0\0\0\0\0\x08\0\
\0\0\0\0\0\0\x10\0\0\0\xd2\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x12\x88\0\0\0\0\0\0\x01\x2f\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\0\xce\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1d\x28\0\
\0\0\0\0\0\0\xb0\0\0\0\x1b\0\0\0\x17\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\
\x7c\0\0\0\x01\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x13\xb7\0\0\0\0\0\
\0\x01\x36\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\x01\0\0\0\xb3\x6f\
\xff\x4c\x03\0\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1d\xd8\0\0\0\0\0\0\
\0\x05\0\0\0\x1b\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x01\x14\0\0\0\
\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x14\xf0\0\0\0\0\0\0\x02\x58\0\
\0\0\x01\0\0\0\x12\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct bperf_follower_bpf *bperf_follower_bpf::open(const struct bpf_object_open_opts *opts) { return bperf_follower_bpf__open_opts(opts); }
struct bperf_follower_bpf *bperf_follower_bpf::open_and_load() { return bperf_follower_bpf__open_and_load(); }
int bperf_follower_bpf::load(struct bperf_follower_bpf *skel) { return bperf_follower_bpf__load(skel); }
int bperf_follower_bpf::attach(struct bperf_follower_bpf *skel) { return bperf_follower_bpf__attach(skel); }
void bperf_follower_bpf::detach(struct bperf_follower_bpf *skel) { bperf_follower_bpf__detach(skel); }
void bperf_follower_bpf::destroy(struct bperf_follower_bpf *skel) { bperf_follower_bpf__destroy(skel); }
const void *bperf_follower_bpf::elf_bytes(size_t *sz) { return bperf_follower_bpf__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
bperf_follower_bpf__assert(struct bperf_follower_bpf *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->type) == 4, "unexpected size of 'type'");
	_Static_assert(sizeof(s->bss->enabled) == 4, "unexpected size of 'enabled'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __BPERF_FOLLOWER_BPF_SKEL_H__ */
